<template>
  <div v-if="article">
    <h1>{{ article.title }}</h1>
    <div v-html="article.content" />
  </div>
</template>

<script>
import gql from 'graphql-tag'
export default {
  head() {
    if (this.article) {
      return {
        title: this.article.title,
        meta: [
          {
            hid: 'description',
            name: 'description',
            content: this.article.content,
          },
        ],
      }
    }
    return {}
  },
  apollo: {
    article: {
      query: gql`
        query article($id: Int!) {
          article(where: { id: $id }) {
            title
            content
          }
        }
      `,
      variables() {
        return { id: parseInt(this.$route.params.id) }
      },
    },
  },
}
</script>
